Pan Msme Check
curl --request GET \
--url https://production.deepvue.tech/v1/verification/pan-msme-check \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/pan-msme-check"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/pan-msme-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/pan-msme-check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/pan-msme-check"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/pan-msme-check")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/pan-msme-check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738238378221,
"transaction_id": "3622dd90249a4e058cad04b81589ac89",
"sub_code": "SUCCESS",
"message": "Pan to Msme Check performed successfully.",
"data": {
"pan_number": "AFVPG9986M",
"udyam_exists": true,
"migration_status": null,
"pan_details": {
"full_name": "BHIVA GANGARAM GAWAS",
"full_name_split": [
"BHIVA",
"GANGARAM",
"GAWAS"
],
"masked_aadhaar": "XXXXXXXX1712",
"gender": "M",
"dob": "1965-08-15",
"aadhaar_linked": true,
"category": "person",
"status": "valid"
}
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": 1738180009762,
"transaction_id": "4ddcb24ffe8a4ae39bf27e317b4327d3",
"sub_code": "INVALID_INPUT",
"message": "Invalid Pan Pattern."
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}MSME
PAN-MSME Registration Status
Set of APIs that help with MSME Registered business verification and onboarding.
GET
/
v1
/
verification
/
pan-msme-check
Pan Msme Check
curl --request GET \
--url https://production.deepvue.tech/v1/verification/pan-msme-check \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/pan-msme-check"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/pan-msme-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/pan-msme-check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/pan-msme-check"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/pan-msme-check")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/pan-msme-check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738238378221,
"transaction_id": "3622dd90249a4e058cad04b81589ac89",
"sub_code": "SUCCESS",
"message": "Pan to Msme Check performed successfully.",
"data": {
"pan_number": "AFVPG9986M",
"udyam_exists": true,
"migration_status": null,
"pan_details": {
"full_name": "BHIVA GANGARAM GAWAS",
"full_name_split": [
"BHIVA",
"GANGARAM",
"GAWAS"
],
"masked_aadhaar": "XXXXXXXX1712",
"gender": "M",
"dob": "1965-08-15",
"aadhaar_linked": true,
"category": "person",
"status": "valid"
}
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": 1738180009762,
"transaction_id": "4ddcb24ffe8a4ae39bf27e317b4327d3",
"sub_code": "INVALID_INPUT",
"message": "Invalid Pan Pattern."
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}The PAN-MSME Check API gives information whether there is an MSME registered against a particular business PAN and whether or nor it’s migrated to latest Udyam Portal.
Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.